/* Sample script for implementing basic Telnet functions in AdeptXBBS */

LEAVEPORTOPEN       = X2D(00000001)
OPENPORTSHARED      = X2D(00000002)
OPENWRITETHROUGH    = X2D(00000004)
ISPIPESERVER        = X2D(00000010)
ISPIPECLIENT        = X2D(00000020)
IGNORECARRIER       = X2D(00000040)

ISTELNETSERVER      = X2D(00000080)
ISTELNETCLIENT      = X2D(00000100)
ISSERIAL            = X2D(00000200)
ISSOCKETSERVER      = X2D(00000400)
ISSOCKETCLIENT      = X2D(00000800)
DELETECONNECTION    = X2D(00001000)

ARG line

if (line = 0) Then  /* Telnet Script won't work in local mode */
Do
    Call AdeptCLS line
    Call AdeptCurPos line,12,1
    Call AdeptPrint line, "Sorry Telnet only avaliable on nodes > 0\r\n"
    Call AdeptPrint line, "{PB"
    Exit
End


Call AdeptCLS line
Call AdeptLocation line, "Telnet"
Call AdeptSayGen line, "Telnet"

Call AdeptPrint line, "Some popular sites\r\n\r\n"
Call AdeptPrint line, "1> adept2.com          - AdeptXBBS Support BBS       \r\n"
address.1 = "adept2.com"
port.1 = 23
Call AdeptPrint line, "2> 203.12.117.105      - The Spyders Web BBS         \r\n"
address.2 = "203.12.117.105"
port.2 = 23
Call AdeptPrint line, "3> 203.9.159.202       - Amiga Retreat BBS           \r\n"
address.3 = "203.9.159.202"
port.3 = 23
Call AdeptPrint line, "4> snoval.com          - SnoValley Shareware Exchange\r\n"
address.4 = "snoval.com"
port.4 = 23
Call AdeptPrint line, "5> summitcnty.com      - Summit Central BBS          \r\n"
address.5 = "summitcnty.com"
port.5 = 23
Call AdeptPrint line, "6> pmario.soonet.ca    - Dogstar BBS                 \r\n"
address.6 = "pmario.soonet.ca"
port.6 = 23
Call AdeptPrint line, "7> USER DEFINED\r\n\r\n"
Call AdeptPrint line, "Some popular sites\r\n\r\n"

Choice = AdeptInput(line,,80,,,"Telnet to: ",,,)

if (choice = 7) Then
  Do
    Address.7 = AdeptInput(line,,80,,,"[0m[K\r\n[KTelnet to address: ",,,)
    if(Address.7 = '') then do
        exit
    end
    Port.7 = AdeptInput(line,,12,,,"\r\nPort[Enter for Default]: ",,,)
    if(Port.7 = '') then do
        Port.7 = 23
    End
  End

if (choice = '')
    Then Exit

if (choice > 7 | choice < 1)
    Then Exit


Call AdeptPrint line, "\r\nTrying"
Do 3
  Call AdeptPrint line,"{PA."
  Call AdeptSleep line,128
End

Call AdeptPrint line, "{PA" || Address.Choice || " on port "||Port.Choice

Call AdeptLocation line, Address.Choice
Call AdeptSayGen line, "Telnet: " || Address.Choice

Call AdeptLog line,1,"Telnet: " || Address.Choice
Call AdeptLog line,1,"Port: " || Port.Choice


rc = AdeptRawOpenSocket(ISTELNETCLIENT, Address, Port, 'Port')

if((port<>0) & (rc=0))then
  rc = AdeptRawComLink(line, Port)
  rc = AdeptRawClose(Port)
else
do
  Call AdeptPrint line,"\r\nError: Could not connect to host.\r\n\r\n"
  Call AdeptPrint line,"{PB"
end
  
